fonts/Xg - The NetBSD Packages Collection

These are the UNICODE fonts for use with 9term and sam

Unicode fonts
=============

The new libXg distribution supports Unicode.  Sam and 9term built using
the new UTF libXg will allow one to enter and edit files containing
Unicode characters encoded using UTF-2 (UTF-FSS).
To use them:

o	convert the bdf files to whatever format is appropriate for
	your system and place the files in a suitable common directory
o	set this directory up as an X font directory by running some
	program such as `mkfontdir' if necessary
o	add the directory to your fontpath `xset fp+ fontdir'
o	make sure libXg knows about the fontfile you wish to use by
	setting the appropriate .p9font X resource (or just *p9font) to
	be something like /lib/font/Xg/matty/unicode.9.font or by
	specifying an appropriate -p9font argument to libXg programs.

Build dependencies

pkgtools/cwrappers fonts/bdftopcf

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibXgFonts-1.0nb4.tgz
NetBSD 8.0earmv7hflibXgFonts-1.0nb4.tgz
NetBSD 8.0earmv7hflibXgFonts-1.0nb4.tgz
NetBSD 8.0i386libXgFonts-1.0nb4.tgz
NetBSD 8.0i386libXgFonts-1.0nb4.tgz
NetBSD 8.0i386libXgFonts-1.0nb4.tgz
NetBSD 8.0powerpclibXgFonts-1.0nb4.tgz
NetBSD 8.0powerpclibXgFonts-1.0nb4.tgz
NetBSD 8.0powerpclibXgFonts-1.0nb4.tgz
NetBSD 8.0x86_64libXgFonts-1.0nb4.tgz
NetBSD 8.0x86_64libXgFonts-1.0nb4.tgz
NetBSD 9.0aarch64libXgFonts-1.0nb4.tgz
NetBSD 9.0aarch64libXgFonts-1.0nb4.tgz
NetBSD 9.0aarch64libXgFonts-1.0nb4.tgz
NetBSD 9.0alphalibXgFonts-1.0nb4.tgz
NetBSD 9.0alphalibXgFonts-1.0nb4.tgz
NetBSD 9.0alphalibXgFonts-1.0nb4.tgz
NetBSD 9.0earmlibXgFonts-1.0nb4.tgz
NetBSD 9.0earmlibXgFonts-1.0nb4.tgz
NetBSD 9.0earmlibXgFonts-1.0nb4.tgz
NetBSD 9.0earmv6hflibXgFonts-1.0nb4.tgz
NetBSD 9.0earmv6hflibXgFonts-1.0nb4.tgz
NetBSD 9.0earmv6hflibXgFonts-1.0nb4.tgz
NetBSD 9.0earmv6hflibXgFonts-1.0nb4.tgz
NetBSD 9.0earmv7hflibXgFonts-1.0nb4.tgz
NetBSD 9.0earmv7hflibXgFonts-1.0nb4.tgz
NetBSD 9.0earmv7hflibXgFonts-1.0nb4.tgz
NetBSD 9.0earmv7hflibXgFonts-1.0nb4.tgz
NetBSD 9.0i386libXgFonts-1.0nb4.tgz
NetBSD 9.0i386libXgFonts-1.0nb4.tgz
NetBSD 9.0i386libXgFonts-1.0nb4.tgz
NetBSD 9.0mips64eblibXgFonts-1.0nb4.tgz
NetBSD 9.0mips64eblibXgFonts-1.0nb4.tgz
NetBSD 9.0mips64eblibXgFonts-1.0nb4.tgz
NetBSD 9.0mipsellibXgFonts-1.0nb4.tgz
NetBSD 9.0mipsellibXgFonts-1.0nb4.tgz
NetBSD 9.0powerpclibXgFonts-1.0nb4.tgz
NetBSD 9.0powerpclibXgFonts-1.0nb4.tgz
NetBSD 9.0sh3ellibXgFonts-1.0nb4.tgz
NetBSD 9.0sh3ellibXgFonts-1.0nb4.tgz
NetBSD 9.0sparc64libXgFonts-1.0nb4.tgz
NetBSD 9.0sparc64libXgFonts-1.0nb4.tgz
NetBSD 9.0sparc64libXgFonts-1.0nb4.tgz
NetBSD 9.0sparc64libXgFonts-1.0nb4.tgz
NetBSD 9.0sparclibXgFonts-1.0nb4.tgz
NetBSD 9.0sparclibXgFonts-1.0nb4.tgz
NetBSD 9.0sparclibXgFonts-1.0nb4.tgz
NetBSD 9.0vaxlibXgFonts-1.0nb4.tgz
NetBSD 9.0vaxlibXgFonts-1.0nb4.tgz
NetBSD 9.0x86_64libXgFonts-1.0nb4.tgz
NetBSD 9.0x86_64libXgFonts-1.0nb4.tgz
NetBSD 9.0x86_64libXgFonts-1.0nb4.tgz
NetBSD 9.0x86_64libXgFonts-1.0nb4.tgz
NetBSD 9.0x86_64libXgFonts-1.0nb4.tgz
NetBSD 9.0x86_64libXgFonts-1.0nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.